SaslRpcServer.QualityOfProtection (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.security
Enum SaslRpcServer.QualityOfProtection

    java.lang.Object
      java.lang.Enum<SaslRpcServer.QualityOfProtection>
          org.apache.hadoop.security.SaslRpcServer.QualityOfProtection

All Implemented Interfaces:
  Serializable, Comparable<SaslRpcServer.QualityOfProtection>

Enclosing class:
  SaslRpcServer

    public static enum SaslRpcServer.QualityOfProtection

extends Enum<SaslRpcServer.QualityOfProtection>

Enum Constant Summary
`AUTHENTICATION`
`INTEGRITY`
`PRIVACY`

Field Summary
`String` | `saslQop`

Method Summary
`String` | `getSaslQop()`
`static SaslRpcServer.QualityOfProtection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SaslRpcServer.QualityOfProtection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTHENTICATION

    public static final SaslRpcServer.QualityOfProtection AUTHENTICATION

### INTEGRITY

    public static final SaslRpcServer.QualityOfProtection INTEGRITY

### PRIVACY

    public static final SaslRpcServer.QualityOfProtection PRIVACY

Field Detail

### saslQop

    public final String saslQop

Method Detail

### values

    public static SaslRpcServer.QualityOfProtection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SaslRpcServer.QualityOfProtection c : SaslRpcServer.QualityOfProtection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SaslRpcServer.QualityOfProtection valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSaslQop

    public String getSaslQop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation